summaryrefslogtreecommitdiff
path: root/mmi
diff options
context:
space:
mode:
authorXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
committerXiao Pan <gky44px1999@gmail.com>2024-01-09 04:09:59 -0800
commit5eb0dbf136a9ad582192e003b7573a080514f063 (patch)
tree84d3a44749b1b2db50b39504ab7690a15b699e8d /mmi
init from config_local_arch personal shell scripts
git log history see https://git.flylightning.xyz/config_local_arch/tree/home/xyz/.local/bin?id=d266c511cffb7eeb20bf1e4610d9d32557b7d0e6
Diffstat (limited to 'mmi')
-rwxr-xr-xmmi27
1 files changed, 27 insertions, 0 deletions
diff --git a/mmi b/mmi
new file mode 100755
index 0000000..350fe50
--- /dev/null
+++ b/mmi
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+mi () {
+ make
+ sudo make install
+}
+
+origin="$PWD"
+cmd='mi'
+
+while getopts q opt; do
+ case $opt in
+ q) cmd='qmake6;mi';;
+ \?) exit 1;;
+ esac
+done
+shift $((OPTIND-1))
+
+if [ -z "$1" ]; then
+ eval "$cmd"
+else
+ for dir; do
+ cd "$dir" || exit
+ eval "$cmd"
+ cd "$origin" || exit
+ done
+fi